from django.shortcuts import render
from django.http import HttpResponse
from django.contrib.auth.decorators import login_required
from warpauth.util import *
from warpmain.models import News


@login_required(login_url='/login/', redirect_field_name=None)
def index(request):
    pages['news_list'] = News.objects.order_by("created")
    return HttpResponse(render(request, 'warpmain/main.html', pages))

def about(request):
    return HttpResponse(render(request, 'warpmain/about.html', pages))
